<?php
/**
 * Magazinews Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Magazinews Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function magazinews_pro_custom_colors_css() {
  	$options= magazinews_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	/*--------------------------------------------------------------
	## Background Color
	--------------------------------------------------------------*/
	.backtotop,
	#respond input[type="submit"],
	.widget_search form.search-form .search-submit:hover,
	.widget_search form.search-form .search-submit:focus,
	input[type="submit"],
	.jetpack_subscription_widget input[type="submit"],
	.jetpack_subscription_widget input[type="submit"]:hover,
	.jetpack_subscription_widget input[type="submit"]:focus,
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.reply a,
	#featured-slider .post-categories a,
	#ajax-filter li.active a,
	#ajax-filter li a:hover,
	.more-link svg,
	.recent-posts-tabs li.active .recent-post-wrapper .nav-number,
	.recent-posts-tabs li:hover .recent-post-wrapper .nav-number,
	.recent-posts-wrapper .post-categories a,
	.recent-reviews-nav li.active,
	.lite-version #ajax-filter li.active a, 
	.lite-version #ajax-filter li a:hover,
	#breaking-news .news-title,
	.post-categories a:hover,
	.post-categories a:focus,
	.section-header:after,
	#popular-posts .popular-post-wrapper:hover .cat-links a:hover,
	#popular-posts .popular-post-wrapper:hover .cat-links a:focus,
	.recent-post-slider .cat-links a,
	.pagination .page-numbers.current, 
	.pagination .page-numbers:hover, 
	.pagination .page-numbers:focus {
	    background-color: '. esc_attr( $color_value ) .';
	}

	.post-categories a,
	#popular-posts .popular-post-wrapper:hover .cat-links a {
	    background-color: rgba(0, 0, 0, 0.05);
	}

	/*--------------------------------------------------------------
	## Text Color
	--------------------------------------------------------------*/
	a,
	.main-navigation ul.nav-menu li.current-menu-item > a,
	.main-navigation ul.nav-menu li:hover > a,
	.main-navigation ul.nav-menu li:hover > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation ul.nav-menu > li.current-menu-item > a > svg,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.post-navigation a:hover, 
	.posts-navigation a:hover,
	.post-navigation a:focus, 
	.posts-navigation a:focus,
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.widget_featured_post h3 a:hover,
	.widget_featured_post h3 a:focus,
	.widget_featured_post a:hover time,
	.widget_featured_post a:focus time,
	.widget_popular_post a time,
	.widget_popular_post time,
	.widget_latest_post a time,
	.widget_latest_post time,
	.widget_featured_post a time,
	.widget_featured_post time,
	#secondary a:hover,
	#secondary a:focus,
	.byline a:hover,
	.byline a:focus,
	.posted-on a:hover,
	.posted-on a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a,
	.comment-metadata a time,
	.comment-metadata a:hover,
	.comment-metadata a:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.section-subtitle,
	.btn,
	.breaking-news-posts a:hover,
	.breaking-news-posts a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	.more-link:hover,
	.more-link:focus,
	.recent-posts-tabs li.active .recent-post-wrapper .entry-title a,
	.recent-posts-tabs li:hover .recent-post-wrapper .entry-title a,
	.lite-version .more-link:hover, 
	.lite-version .more-link:focus,
	.lite-version .entry-title a:hover, 
	.lite-version .entry-title a:focus,
	.lite-version .byline a:hover, 
	.lite-version .byline a:focus, 
	.lite-version .posted-on a:hover, 
	.lite-version .posted-on a:focus,
	.lite-version #popular-posts .popular-post-wrapper:hover .entry-title a:hover, 
	.lite-version #popular-posts .popular-post-wrapper:hover .entry-title a:focus, 
	.lite-version #popular-posts .popular-post-wrapper:hover .entry-meta a:hover, 
	.lite-version #popular-posts .popular-post-wrapper:hover .entry-meta a:focus,
	.lite-version #secondary a:hover, 
	.lite-version #secondary a:focus,
	.lite-version .post-navigation a:hover, 
	.lite-version .posts-navigation a:hover, 
	.lite-version .post-navigation a:focus, 
	.lite-version .posts-navigation a:focus,
	.post-categories a,
	#popular-posts .popular-post-wrapper:hover .cat-links a,
	#popular-posts .popular-post-wrapper:hover .entry-title a:hover,
	#popular-posts .popular-post-wrapper:hover .entry-title a:focus,
	#popular-posts .popular-post-wrapper:hover .entry-meta a:hover,
	#popular-posts .popular-post-wrapper:hover .entry-meta a:focus {
	    color: '. esc_attr( $color_value ) .';
	}

	.loader-container svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.widget svg,
	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:focus svg, 
	.navigation.post-navigation a:focus svg {
	    fill:'. esc_attr( $color_value ) .';
	}

	/*--------------------------------------------------------------
	## Border Color
	--------------------------------------------------------------*/
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus {
	    border-color: '. esc_attr( $color_value ) .';
	}

	#ajax-filter li.active a:after {
	    border-top-color: '. esc_attr( $color_value ) .';
	}

	.recent-reviews-nav li {
	    border-bottom-color: '. esc_attr( $color_value ) .';
	}

	/*--------------------------------------------------------------
	## SVG Icon Filter
	--------------------------------------------------------------*/
	.posted-on a:before, 
	.byline a:before,
	#popular-posts .popular-post-wrapper:hover .posted-on a:before, 
	#popular-posts .popular-post-wrapper:hover .byline a:before {
	    -webkit-filter: grayscale(100%) brightness(30%) sepia(100%) hue-rotate(-180deg) saturate(700%) contrast(0.8);
	    filter: grayscale(100%) brightness(30%) sepia(100%) hue-rotate(-180deg) saturate(700%) contrast(0.8);
	}

	/*--------------------------------------------------------------
	## Responsive Color
	--------------------------------------------------------------*/
	@media screen and (min-width: 1024px) {
	    @media screen and (min-width: 1024px) {
	    #masthead .main-navigation ul.nav-menu li.current-menu-item > a,
	    #masthead .main-navigation ul.nav-menu > li > a:hover,
	    .main-navigation ul.nav-menu li:hover > a {
	        color: '. esc_attr( $color_value ) .';
	    }
	    .main-navigation ul.nav-menu > li:hover > a > svg,
	    .main-navigation ul.nav-menu > li.current-menu-item > a > svg {
	        fill: '. esc_attr( $color_value ) .';
	    }
	    .main-navigation ul.sub-menu li:hover > a,
	    .main-navigation ul.sub-menu li:focus > a {
	        background-color: '. esc_attr( $color_value ) .';
	        color: #fff;
	    }
	}
	}

	/*--------------------------------------------------------------
	## Preloader
	--------------------------------------------------------------*/
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	    25% {height:30px;transform:translateY(15px);background: '. esc_attr( $color_value ) .';}
	    50% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	    100% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	}
	';

	/**
	 * Filters Magazinews Pro custom colors CSS.
	 *
	 * @since Magazinews Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'magazinews_pro_custom_colors_css', $css );
}
